haskell-gi-0.26.17: Generate Haskell bindings for GObject Introspection capable libraries

Safe Haskell | None
Language | Haskell2010

Data.GI.GIR.Flags

Description

Parsing of bitfields, a.k.a. flags. They are represented in the same way as enums, so this is a thin wrapper over that code.

# Documentation

data Flags Source #

Constructors

Flags Enumeration |

#### Instances

Instances details

Show Flags Source # |
Instance details Defined in Data.GI.GIR.Flags Methods showsPrec :: Int -> Flags -> ShowS Source # show :: Flags -> String Source # showList :: [Flags] -> ShowS Source #

parseFlags :: Parser (Name, Flags) Source #